# Uses of Interface
java.lang.StringTemplate.Processor

Packages that use StringTemplate.ProcessorPREVIEW
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.

## Uses of StringTemplate.ProcessorPREVIEW in java.lang

Fields in java.lang declared as StringTemplate.ProcessorPREVIEW
Modifier and Type
Field
Description
`static final StringTemplate.ProcessorPREVIEW<StringTemplatePREVIEW,RuntimeException>`
StringTemplate.`RAW`
This `StringTemplate.Processor`PREVIEW instance is conventionally used to indicate that the processing of the `StringTemplate`PREVIEW is to be deferred to a later time.
`static final StringTemplate.ProcessorPREVIEW<String,RuntimeException>`
StringTemplate.`STR`
This `StringTemplate.Processor`PREVIEW instance is conventionally used for the string interpolation of a supplied `StringTemplate`PREVIEW.
Methods in java.lang that return StringTemplate.ProcessorPREVIEW
Modifier and Type
Method
Description
`static <T> StringTemplate.ProcessorPREVIEW<T,RuntimeException>`
StringTemplate.Processor.`of(Function<? super StringTemplatePREVIEW,? extends T> process)`
This factory method can be used to create a `StringTemplate.Processor`PREVIEW containing a `process(java.lang.StringTemplate)`PREVIEW method derived from a lambda expression.
Methods in java.lang with parameters of type StringTemplate.ProcessorPREVIEW
Modifier and Type
Method
Description
`default <R, E extends Throwable>
R`
StringTemplate.`process(StringTemplate.ProcessorPREVIEW<? extends R,? extends E> processor)`
Returns the result of applying the specified processor to this `StringTemplate`PREVIEW.

## Uses of StringTemplate.ProcessorPREVIEW in java.util

Classes in java.util that implement StringTemplate.ProcessorPREVIEW
Modifier and Type
Class
Description
`final class`
`FormatProcessorPREVIEW`
Preview.
This `StringTemplate.Processor`PREVIEW constructs a `String` result using `Formatter` specifications and values found in the `StringTemplate`PREVIEW.